/* BF Code Stripper
 *
 * Copyright (c) 2000, Brian Luft.  
 */

#include <stdlib.h>
#include <stdio.h>

int main(int argc, char *argv[])
{
	if(argc != 2)
	{
		// Wrong number of arguments
		printf("Wrong number of arguments.  Syntax is:\n"
			   "bfstrip <filename.b>\n");
		return(1);
	}
	
	FILE *rfp = fopen(argv[1], "r");
	FILE *wfp = fopen("temp", "w");
	
	char currentChar = fgetc(rfp);
	
	while(currentChar != EOF)
	{
		if(	currentChar == '+' ||
			currentChar == '-' ||
			currentChar == '<' ||
			currentChar == '>' ||
			currentChar == '[' ||
			currentChar == ']' ||
			currentChar == ',' ||
			currentChar == '.')
			fputc(currentChar, wfp);
		currentChar = fgetc(rfp);
	}
	
	fclose(rfp);
	fclose(wfp);
	
	char buf[1024];
	sprintf(buf, "mv temp %s", argv[1]);
	system(buf);
	
	return(0);
}